extends Node2D

signal terminal_activated()
signal getback_timer_up()
signal score_updated
signal player_died

func _on_Timer_timeout() -> void:
  emit_signal("getback_timer_up")

#TODO Easteregg pls
var score: = 0 setget set_score
var deaths: = 0 setget set_deaths
var is_dead: = false setget set_dead


func reset() -> void:
	score = 0
	deaths = 0

#TODO Remove score
func set_score(value: int) -> void:
	score = value
	emit_signal("score_updated")

func set_deaths(value: int) -> void:
	deaths = value
	#emit_signal("player_died")

func set_dead(value: bool) -> void:
	is_dead = value
